/*
Theme Name: Mein Schwules Sommercamp
Template: twentytwentyone
Author: Nils Schaffernicht
Author URI: https://www.nilsschaffernicht.de
Description: Webdesign, Funktionen und Vorlagen für die Benutzerkonten
Version: 1.0.2
*/
	
	
	
body {
	overflow-x: hidden;
	}

*, body, .widget_text p, .widget_text ol, .widget_text ul, .widget_text dl, .widget_text dt, .widget-content .rssSummary {
	font-family: Arial,Helvetica Neue,Helvetica,sans-serif; 
	}


.site-header, .site-main, .widget-area, .site-footer {
	max-width: var(--responsive--alignwide-width);
    padding-top: var(--global--spacing-vertical);
    padding-bottom: var(--global--spacing-vertical);
    margin-left: auto;
    margin-right: auto;
}


h1 {
    font-size: 2.2em;
}

h2, h3, h4 {
	font-size: 1.2em;
	hyphens: auto;
	}

h1, h2, h3 {
    font-weight: bold;
}

p {
	hyphens: auto;
	}
	
ul {
	list-style-type: none;
	margin:0;
	padding: 0;
	}	
	
input:focus::placeholder {
        color: transparent;
      }	


.nf-add-fieldset {
	float: right;
	}
	
.dottednobreak {
	border-bottom: 1px dotted black;
	white-space: nowrap;
	}

#nf-form-9-cont .stornotabelle {
	margin-top: 1em;
	}

#nf-form-9-cont .stornotabelle li:first-child {
	font-weight: bold;
	}
	
.entry-content :not(.nf-field-element) > ul li::before,
.stornotabelle li::before {
	content: "►";
	display: inline-block;
	padding-right: 0.4em;
	} 	
	
.summary,	
.checkout_summary {
	background-color: white;
	padding: 1em;
	border-radius: 0.5em;
	}

.checkout_summary h3 {
	margin-top: 0.7em;
	}

.checkin-intro {
	margin-top: 1em;
	}	

.entry-content .checkout_summary:not(.nf-field-element) > ul li::before {
	content: "✔";
	display: inline-block;
	padding-right: 0.4em;
	} 	

#masthead {
	z-index: 1;
	position: relative;
	}

#content {
	z-index: 0;
	position: relative;
	}
	
.site-main{
	padding-top:0;
}

.post-thumbnail, .entry-content .wp-audio-shortcode, .entry-content > :not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce), [class*="inner-container"] > :not(.entry-content):not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce), .default-max-width, .primary-menu-container, #site-footer {
	max-width: calc( 100vw - 2em );
	max-width: var(--responsive--alignwide-width);
	max-width: 1000px;
	}

/*
.header-titles-wrapper {
	margin-bottom: 1em;
	}*/	
	
a, a:hover,
.site-title a:hover,
.site-title a:focus,
.primary-menu-container a:hover, .primary-menu-container a:focus, .primary-menu-container .current_page_ancestor {	
	text-decoration: none;
	}

.site-title {
		text-transform: uppercase;
		font-weight: normal;
		/*
		background-color: #ffde13;
		width: 310px;
		height: 94px;
		*/
		background-color: white;
		width: 307px;
		height: 98px;
		box-shadow: 2px 2px 7px rgba(0,0,0,0.5);
}

.site-description {
	display: none;
	}
	

#site-navigation {
	display: block;
	width: 100vw;
	height: 3.2em;
	display: flex;
	justify-content: center;
	flex-wrap: nowrap;
	}	

#primary-menu-list {
	margin-left: -1em;
	margin-top: 0.4em;
	}	
	
#site-navigation {
	background-color: white; 
	}
	
.primary-navigation-open .primary-navigation > .primary-menu-container {
	position: relative;
	}		
	


.site-header {
	max-width: none;
	}

/*	
.site-branding {
	margin: 0;
	width: 100vw;
	max-width: 1370px;
	}
*/	


.site-branding, 	
.primary-menu-container,
#site-footer {	
	width: var(--responsive--alignwide-width);
	margin: 0 auto;	
	}
	
.site-branding,
.entry-header {	
	max-width: 1000px;
	}
	
#site-footer .section-inner {		
	display: flex;
	justify-content: space-between;	
	}
	
.primary-navigation > .primary-menu-container {
	padding-right: calc(14vw - 6em);
	transition: none;
	}	

/*	
.primary-navigation > div > .menu-wrapper {
	justify-content: space-between;
	}*/	
	
	
.primary-navigation > div > .menu-wrapper .sub-menu-toggle {
	display: none;
	}	

/*	
#primary-menu-list > li {
	margin-right: -1em;
	} */
	
.primary-navigation > div > .menu-wrapper .sub-menu-toggle .icon-plus,
.primary-navigation > div > .menu-wrapper .sub-menu-toggle .icon-minus,
.primary-navigation > div > .menu-wrapper .sub-menu-toggle[aria-expanded=true] .icon-minus {
	display: none;
	} 

.primary-navigation > div > .menu-wrapper > li > .sub-menu li,	
body:not(.overlay-header) .primary-menu-container ul.sub-menu {
	background: transparent;
	}	
	
.primary-navigation .sub-menu {
	border: 0;
	}	
	
.primary-navigation > div > .menu-wrapper > li > .sub-menu::before, .primary-navigation > div > .menu-wrapper > li > .sub-menu::after {
	display: none;
	}	
	
#loginform p.login-username,
#loginform p.login-password {
	display: flex;
	margin-bottom: 0.5em;
	}

#loginform label {
	width: 10em;
	max-width: 50vw;
	}
	
#loginform .input {
	width: 12em;
	max-width: 50vw;
	}

.entry-header {
	font-weight: 300;
	}
	
.singular .entry-header	{
	border-bottom: 0;
	margin-bottom: 0;
	padding-bottom: 0;
	}


.singular .entry-title {
	font-size: 2em;
	}	
	
.singular .post-thumbnail {	
	max-width: 40%;
	float: right;
	margin-left: 2em;
	}
	
.blog .entry-header span {	
	font-size: 0.6em;
	font-weight: 500;
	}
	
.blog .entry-title {
	margin-top: 0;
	line-height: 31.2px;
	}	

.blog .entry-title,	
.blog .entry-title a{	
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
	font-size: 24px;
	font-weight: 500;
	line-height: 31.2px;
	}
	
.site-title a,
.site-title a:link, 
.site-title a:visited,
.site-title a:active,
.entry-title a,
.entry-content a,
.singular .entry-title,
.blog .entry-title,
#pflichtangaben a,
.to-the-top {
	color: #dc172a;
	}

article .entry-content {
	margin-top: 2rem;
	max-width: var(--responsive--alignwide-width);
	}

	
	
.entry-content > .wp-block-media-text {
	margin-top: 0;
	margin-bottom: 0;
	}
	
.wp-block-media-text__content .has-large-font-size {
	font-size: inherit;
	line-height: inherit;
	}

.wp-block-media-text:not(.has-media-on-the-right) .wp-block-media-text__content{
	padding-right: 0;
	}

.has-media-on-the-right .wp-block-media-text__content{
	padding-left: 0;
	}

.wp-block-media-text.is-image-fill figure.wp-block-media-text__media {
	display: flex;
	align-items: stretch;
	}


.wp-block-media-text.is-image-fill figure.wp-block-media-text__media > a {
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
	}

.wp-block-media-text.is-image-fill figure.wp-block-media-text__media > a > img {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    border: 0;
}

div.success-notice,
div.friendly-notice,
div.error-notice {
	padding: 0.6em;
	margin: 0.6em 0;
	border-radius: 0.8em;
	}


em.alert,	
em.neutral,
em.ok,
em.notiz {
	border-radius: 4px;
}

	
div.error-notice,
em.alert {
	background-color:#ff8093;
	}	
	
em.alert {
	padding: 0;
	}
	
div.friendly-notice,
em.neutral  {
	background-color:#24c9ff;
	}
		
div.success-notice,
em.ok {
	background-color:#00de00;
	}

em.notiz {
	background-color:yellow;
	}	
	
	
form span.notice
{
 color:#dc172a;
 font-weight:bold;
 font-size:1em;
}

input.notice,
#content table.facts.large input.notice,
select.notice
{
 border-color:#dc172a;
}

select {
	border: 1px solid #c4c4c4;
	}
	
.userdata-headline {
	margin-top: 0.8em;
	margin-bottom: 0.3em;
	text-decoration: underline;
	}	

#ui_zeltbelegung .summary,
.ui_groupmembers {
	margin: 1em 0;
	}
	
#ui_zeltbelegung > p {
     margin-top: 1em;	
	}
	
#ui_zeltbelegung > img {	
	border-radius: 1em;	
	}
	
.summary li {	
	display: inline-flex;
	}
.summary li strong {
	padding-left: 0.35em;
	}
	
*.kasten
{
 background-color:#ffffff;
 border: 0.0625em dotted #999999;
}

div.kasten
{
 position:relative;
 margin:-3.25em -0.625em 1.25em 0em;
 padding: 0em;
 background-repeat:no-repeat;
 background-position:center left;
 width: 33.125em;
 /*max-width: 33.125em;*/
 float:right;


}



div.kasten p
{
 margin: 0.625em 0.3125em;
}


.friendly-notice.extended .button {
	display: block;
	width: fit-content;
	}


.external-link::before {
content: "\f08e"; }

.video-link::before {
content: "\f1c8"; }

.comments-link::before {
content: "\f0e6"; }


#link-home::before {
	content: "\f015";}

#link-camp::before {
	content: "\f03e";}

#link-infos::before {
	content: "\f277";}

#link-kontakt::before {
	content: "\f086";}
	
#link-anmelden::before {
	content: "\f0a9";}	
	
.friendly-notice h3::before,	  	
.icon-info::before {
	content: "\f05a";
       color: #003395;}		

.success-notice h3::before,	   
.icon-check::before {
	content: "\f00c";
       color: #green;}	

.error-notice h3::before,	   
.icon-error::before {
	content: "\f06a";	   
	color: #dc172a;}
	   
.icon-smilie::before {
content: "\f118"; }

.icon-bulb::before {
	content: "\f0eb";}		
	   
	   
	 
.friendly-notice h3::before,	  	
.error-notice h3::before,	  	
.success-notice h3::before,	  	
.external-link::before,
.video-link::before,
.comments-link::before,
.menu_main > a::before,
.icon::before,
#breadcrumb a:first-child::before
{
display: inline-block;
font: normal normal normal 14px/1 FontAwesome;
font-size: inherit;
text-rendering: auto;
-webkit-font-smoothing: antialiased;
-moz-osx-font-smoothing: grayscale;
 padding-right: 0.3em;
}


figure,	
figure img {
    border-radius: 0.8em;
}	

ul li a[href$=".pdf"]::after {
	content: " ";
	display: inline-block;
	position: relative;
	margin-left: 0.2em;
	background-image:url('/wp-content/uploads/2020/12/pdf_icon.svg');
	background-position: center center;
	background-repeat: no-repeat;
	width: 1.4em;
	height: 1.4em;
	}
	
.mc-main {
	z-index: 0; /*calendar behind nav elements */
	}

/*
.site-branding, .primary-menu-container, #site-footer {
    width: var(--responsive--alignwide-width);
    margin: 0 auto;
}*/

#site-footer .section-inner {
    display: flex;
    justify-content: space-between;
}	
	
#pflichtangaben ul {
	margin-left: 0;
	padding-left: 0;
	}

#pflichtangaben ul li {
	float: left;
	list-style: none;
	font-size: inherit;
	font-size: 20px;
	font-weight: 400;
	line-height: 34px;
	margin-left: 1em;
	hyphens: auto;
	}
	
.footer-navigation {
	margin-top: 0;
	}

.to-the-top {
	padding-left: 1em;
	min-width: 7em;
	}



@media screen and (min-width:650px) {
	
.my-calendar-table .current-day::before {
	content: "Heute";
	display: block;
	position: absolute;
	}
	
.my-calendar-table .current-day.has-events::before {
	color: white;
	}

}	



@media screen and (min-width:1370.1px){
	/*
#content {	
	background-image: url('/wp-content/themes/meincamp/items_vertikal.png');
	background-repeat: repeat-y;
	background-size: 7em;
	background-position: calc( 50vw - 500px - 9em ) 0;
	background-attachment: fixed;
	} 
	*/
	
}	

@media screen and (min-width:1000.1px){
	



	
	}


@media screen and (min-width:1200px){

/*
.site-branding {
	background-image: url('/wp-content/themes/meincamp/items_top.png');
	background-repeat: repeat-x;
	background-size: 44em;
	background-repeat: repeat-x;
	background-attachment: fixed;
	background-position: calc( 50vw - 482px ) 28px;
	}
	*/
}	
	
@media screen and (min-width:1280px){
	.primary-menu-container-wrapper {
    margin-left: calc( 50% - 62rem );
	}	
}

/*
@media screen and (min-width:1380px){

.primary-navigation > .primary-menu-container {
	padding-right: 6em;
	}	
}
	
@media screen and (max-width:1279.9px){
	.primary-menu-container-wrapper {
    margin-left: 2rem;
	}		
	
	.header-navigation-wrapper::after {
	margin-right: 1rem;
	}
	
}

*/


@media screen and (max-width:1000px){
	/*
	#primary {
		margin-top: 3em;
		}
	
	
.primary-menu-container::after {
	right: 0;
	top: 0;
	width: 5em;
	}	
	
.primary-navigation > div > .menu-wrapper > li {
	margin-bottom: 1em;
	}	
	
.primary-navigation > .primary-menu-container ul > li a {	
	min-width: 9em;
	}
	
.primary-navigation > .primary-menu-container ul > li .sub-menu-toggle[aria-expanded="false"] ~ ul {
	display: block;
	}
	
.primary-navigation > div > .menu-wrapper > li > .sub-menu::before, .primary-navigation > div > .menu-wrapper > li > .sub-menu::after {
	display: none;
	}	
	
.primary-navigation > div > .menu-wrapper > li > .sub-menu {
    position: relative;	
	top: 0;
	margin-top: 2em;
	}
	

	
.primary-navigation > .primary-menu-container {
	/*width: inherit;*//*	
    margin: 0 auto;
	position: fixed;
    visibility: hidden;
    opacity: 0;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding-top: calc(var(--button--line-height) * var(--primary-nav--font-size-button) + 42px + 5px);
    padding-left: var(--global--spacing-unit);
    padding-right: var(--global--spacing-unit);
    padding-bottom: var(--global--spacing-horizontal);
    background-color: var(--global--color-background);
    transition: all 0.15s ease-in-out;
    transform: translateY(var(--global--spacing-vertical));
}

.primary-navigation > div > .menu-wrapper > li {
    display: block;
    position: relative;
/*    width: 100%;*//*	
	width: 9em;
}


.primary-navigation > div > .menu-wrapper > li::before {
	content: "";
	background-color: white;
	height: 2em;
	width: 100vw;
	display: block;
	position: absolute;
	}
*//*
.site-header {
	padding-top: calc(0.75 * var(--global--spacing-vertical));
	padding-bottom: calc(2 * var(--global--spacing-vertical));
	}
*/

/*
.primary-navigation {
    position: fixed;
	background-color: var(--global--color-background,white);
}



.primary-navigation > div > .menu-wrapper {
	flex-direction: column;
	}

	.site-title {
	position: fixed;
	font-size: 1em;
}
	
	
*/
	
.site-branding,
.site-header:not(.has-logo).has-title-and-tagline .site-branding {
	z-index: 10;
	max-width: var(--responsive--alignwide-width);
	margin-left: auto;
	margin-right: auto;
	padding-right: 4em;
	}
	

/*
	
.primary-navigation > .primary-menu-container {
    height: 100vh;
    z-index: 499;
    overflow-x: hidden;
    overflow-y: auto;
    border: 2px solid transparent;
}	
	
	*/
}


@media screen and (max-width:640px){
	#site-footer .section-inner {
		flex-direction: column;
		}
	.to-the-top	{
		text-align: right;
		}
	}

@media screen and (max-width:580px){
	
		.primary-menu-container::after {
	width: 4em;
	height: 18em;
	}
	
	.entry-content:nth-child(even) > :not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce):not(.wp-block-image),
	.entry-content:nth-child(odd) > :not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce):not(.wp-block-image) {
	margin-left: auto;
	margin-right: auto;
	max-width: 100%;
	}
	
	
	body:not(.home) .entry-content > .wp-block-image:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce)	{
	display: block;
	max-width: 100%;
	margin-left: 0;
	margin-right: 0;
	}
	
}




@media screen and (max-width:481px){
	
	#masthead {
		background-color: white;
		height: 6.5em;
		margin-bottom: 0.5em;
		}
	
	.primary-navigation-open #masthead {
		background-color: transparent;
		}
	
	.site-title {
		box-shadow: none;
		display: flex;
		max-width: var(--responsive--alignwide-width);
		}	

	.primary-navigation-open .site-branding		{
		max-width: 3em;
		padding-left: 0.5em;
		/*left: 0;*/
		position: absolute;
		}
	
	.primary-navigation-open #site-navigation {
		width: 100vw;
		}
	
	.menu-button-container {
	display: flex;
	z-index: 15;
	width: 5em;
	height: 100%;
	position: absolute;
	background-color: white;
	/*
	border-bottom-left-radius: 1em;*/
}		

	#primary-menu-list {
		margin-top: 3em;
	}
	
		
	.primary-navigation > div > .menu-wrapper > li > .sub-menu {
	margin-top: 0;
	}
	
.site-title img {	
	max-width: calc( 100vw - 5em );
	}

.site-title, .site-title a {
	background-color: transparent;
	}	
	
}
	